#ifndef  MODULES_X11_H
#define  MODULES_X11_H

/*
**   x11.h
**
**   (C) Copyright 2001-2004 Rocklyte Systems.
**       All Rights Reserved.
*/

#ifndef  MAIN_H
#include <pandora/main.h>
#endif

#define MODVERSION_X11 ((FLOAT)1.0)

#ifndef LOCAL_X11

struct X11Base {
   LONG (*x11AddWindow)(Window, OBJECTID, OBJECTID);
   struct _XDisplay ** (*x11Display)(void);
   LONG (*x11FindWindow)(Window, OBJECTID *, OBJECTID *);
   LONG (*x11RemoveWindow)(OBJECTID);
   LONG (*x11WindowManager)(void);
   LONG (*x11DGAAvailable)(APTR *);
};

#define x11AddWindow(a,b,c)    (X11Base->x11AddWindow(a,b,c))
#define x11DGAAvailable(a)     (X11Base->x11DGAAvailable(a))
#define x11Display()           (X11Base->x11Display())
#define x11FindWindow(a,b,c)   (X11Base->x11FindWindow(a,b,c))
#define x11RemoveWindow(a)     (X11Base->x11RemoveWindow(a))
#define x11WindowManager()     (X11Base->x11WindowManager())

#endif /* LOCAL_X11 */

#endif /* MODULES_X11_H */


